GET /other/substance.json
Summary: Search substances and ingredients
Operation ID: getSubstance
Auth: api_key
Operation ID: getSubstance
Auth: api_key
Description
Returns information about substances, ingredients, and chemicals regulated by FDA.
Parameters (4)
count
(string, query, optional)
Field to count unique values for
limit
(integer, query, optional, default: 1)
Number of results to return (max 100)
Constraints: {'minimum': 1, 'maximum': 100}
search
(string, query, optional)
Search query using field:value syntax
skip
(integer, query, optional, default: 0)
Number of results to skip
Constraints: {'minimum': 0}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search for aspirin substance | curl |
https://api.fda.gov/other/substance.json?search=aspirin&limit=1 |
|
| Search with pagination (limit and skip) | curl |
https://api.fda.gov/other/substance.json?search=ethanol&limit=5&skip=0 |
|
| Count unique values by registration status | curl |
https://api.fda.gov/other/substance.json?count=registration_status |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:47:25.488907 | 200 | 960ms | |
| 2026-03-23 09:38:08.050047 | 200 | 941ms | |
| 2026-03-23 09:09:38.472778 | 404 | 934ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:38:08.050047 | 31b3fce01c8d |
441f61587b5c |
| 2026-03-23 10:47:25.488907 | 441f61587b5c |
cfe9b75492ae |